/* GCC */
#include<cstdio>
#include<vector>
#include<string>
using namespace std;

const int base=10000;
int prime[550];
int n,i;
vector <int> ans;

inline int f(int num, int p)
{
    int ret=0, dvs=p;
    while(num>=dvs){ret+=num/dvs; dvs*=p;}
    return ret;
}

inline void mult(int num)
{
    int carry=0, mlt, i;
    for(i=0; i<ans.size(); i++)
    {
        mlt=ans[i]*num+carry;
        ans[i]=mlt%base;  carry=mlt/base;
    }

    while (carry>0){
        ans.push_back(carry%base);
        carry/=base;
    }
}

inline void write()
{
    printf("%d", ans[ans.size()-1]);
    for(i=ans.size()-2; i>=0; i--)
    {
        if(ans[i]>=1000) printf("%d", ans[i]); else
        if(ans[i]>=100) printf("0%d", ans[i]); else
        if(ans[i]>=10) printf("00%d", ans[i]); else printf("000%d", ans[i]);
    }
    printf("\n");
}

inline void find_prime(int k)
{
        int i1, i2, u=-1;
    for(i1=0; i1<550; i1++) prime[i1]=0;
    bool pr[4000];
    for(i1=1; i1<=k; i1++) pr[i1]=true; //memset(pr,1,k);
    for(i1=2; i1<=k; i1++)
    {
        if(pr[i1])
        {
            u++;
            prime[u]=i1;
            //printf("%d\n", prime[u]);
        }
        i2=1;
        while(i1*i2<=k){pr[i1*i2] = false; i2++;}
    }
}

int main()
{
    freopen("convol.in", "r", stdin);
    freopen("convol.out", "w", stdout);
    int i, power, j; ans.push_back(1);
    int mlt;
    scanf("%d", &n);
    n--;
    find_prime(2*n);
    for(i=0; i<550; i++){
        if(!prime[i]) break;
    mlt=1;
    power=f(2*n, prime[i])-2*f(n, prime[i]);
    for(j=1; j<=power; j++)
        mlt*=prime[i];
    mult(mlt);
    }
    write();
}
