/* GCC */

#include <iostream>

#include <cstdio>

#include <vector>

using namespace std;

vector < int > d;

const int m=40000;

bool sym(int x){

    for(int i=1; i<=x/2; i++) if(d[i]!=d[x-i+1]) return false;

    int k=d.size();

    for(int i=x+2; i<=(k+x+2)/2; i++) if(d[i]!=d[k-i+1+x+2]) return false;

    return true;

}

int main(){

    freopen("symmetry.in", "r", stdin);

    freopen("symmetry.out", "w", stdout);

    int T;

    cin >> T;

    while(T>0){

        T--;

        d.resize(0);

        int n, b, c;

        cin >> n;

        cin >> c;

        d.push_back(0);

        for(int i=0; i<n-1; i++){

            scanf("%d", &b);

            d.push_back(b-c);

            c=b;

        }

        int a=27563;

        bool f1=true;

        int h=0, g=0, ah=1;

        for(int i=1; i<n-1; i++){

                if(i!=1) ah=(ah*a) % m;

                h=(h + d[i]*ah) % m;

                g=(g*a + d[i]) % m;

                if(sym(i)) { cout << i+1 << endl; f1=false; break; }

        }

        if(f1) cout << "0" << endl;

    }

}
