/* GCC */
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <cmath>
#include <cstring>
#include <string>
#include <vector>
#include <map>
#include <algorithm>
#include <queue>
#include <sstream>

#define X first
#define Y second
#define mp(a, b) make_pair((a), (b))

using namespace std;

const long long a1 = 999983;
const long long mod = 1000000007;
int n, i, test, tests, otv;
//vector <long long> g, h, u, v, d, k;
long long g[100000], h[100000], u[100000], v[100000], d[100000], k[100000];
long long b, c, a[100000];

int main()
{
    freopen("symmetry.in", "r", stdin);
    freopen("symmetry.out", "w", stdout);

    n = 100000;
    a[0] = 1;
    for(i = 1; i < n - 2; i++)
        a[i] = (a[i - 1] * a1) % mod;

    scanf("%d", &tests);
    for(test = 0; test < tests; test++)
    {
        scanf("%d %I64d", &n, &b);
        for(i = 0; i < n - 1; i++)
        {
            scanf("%I64d", &c);
            d[i] = abs(b - c);
            k[n - 2 - i] = abs(b - c);
            b = c;
        }

        if(n == 1)
        {
            printf("0\n");
            continue;
        }

        if(n < 4)
        {
            printf("1\n");
            continue;
        }

        g[0] = h[0] = u[0] = v[0] = 0;
        for(i = 1; i < n - 1; i++)
        {
            g[i] = (g[i - 1] + d[i - 1] * a[i - 1]) % mod;
            h[i] = (h[i - 1] * a1 + d[i - 1]) % mod;
            u[i] = (u[i - 1] + k[i - 1] * a[i - 1]) % mod;
            v[i] = (v[i - 1] * a1 + k[i - 1]) % mod;
        }

        otv = 0;
        for(i = 0; i < n - 1; i++)
            if(g[i] == h[i] && u[n - 2 - i] == v[n - 2 - i])
            {
                otv = i + 1;
                break;
            }

        printf("%d\n", otv);
    }

    return 0;
}














