/* GCC */
#include <cstdio>
#include <cstring>
#include <string>
#include <cmath>
#include <algorithm>
using namespace std;

int n, t, i, j, m[100100], error, bond;

int main(void)
{
    freopen("symmetry.in", "r", stdin);
    freopen("symmetry.out", "w", stdout);
    scanf("%d", &t);
    for(i = 1; i <= t; i++)
    {
        memset(m, 0, sizeof(m));
        scanf("%d", &n);
        for(j = 1; j <= n; j++)
           scanf("%d", &m[j]);
        for(bond = 1; bond < n; bond++)
        {
            error = 0;
            //left
            if((bond != 1) && (bond != 2))
              for(j = 1; j <= bond/2; j++)
                if((m[j + 1] - m[j]) != (m[bond - j + 1] - m[bond - j])) error = 1;
            //right
            if(((n - bond) != 1) && ((n - bond) != 2))
            {
                if((n - bond) % 2 == 0)
                    for(j = bond + 1; j <= (bond + (n - bond)/2 - 1); j++)
                      if((m[j + 1] - m[j]) != (m[n - j + bond + 1] - m[n - j + bond])) error = 1;
                if((n - bond) % 2 != 0)
                    for(j = bond + 1; j <= (bond + (n - bond)/2); j++)
                      if((m[j + 1] - m[j]) != (m[n - j + bond + 1] - m[n - j + bond])) error = 1;
            }
            if(error == 0) {printf("%d\n", bond); bond = n;}
        }
        if(error == 1) printf("0\n");
    }
    return 0;
}
