/* GCC */
#include <fstream>
#include <string>
#include <vector>
#include <map>

using namespace std;
vector<vector<int> > p;
map<pair<long long, size_t>, long long> fmap;
map<pair<long long, size_t>, long long >::iterator it;
string curword, ans;
size_t n, m;
long long summ(0), need, counter(0), cursum(0), mid, n_m(1);

long long f(long long k, size_t mm)
{
    if(mm == 0)
        return 1;
    if((it = fmap.find(make_pair(k, mm))) != fmap.end())
        return it->second;
    long long ans(0);
    for(size_t j = 0; j < n; ++j)
        if(k < p[mm-1][j])
            ans += f(k-p[mm-1][j], mm-1);
    fmap.insert(make_pair(make_pair(k, mm), ans));
    return n_m - ans;
}

void g(size_t curpos)
{
    if(cursum < mid)
        return;
    if(curpos == m)
    {
        if(cursum == mid)
        {
            ++counter;
            if(counter == need)
                ans = curword;
        }
        return;
    }
    for(size_t i = 0; i < n; ++i)
    {
        cursum += p[curpos][i];
        curword += ('a'+i);
        g(curpos+1);
        if(counter == need)
            return;
        curword.erase(curword.size()-1);
        cursum -= p[curpos][i];
    }
}

int main(void)
{
    long long k;
    ios_base::sync_with_stdio(false);
    ifstream in("aliens.in");
    in >> n >> m >> k;
    for(size_t i = 0; i < m; ++i)
        n_m *= n;
    p.assign(m, vector<int>(n));
    for(size_t i = 0; i < m; ++i)
        for(size_t j = 0; j < n; ++j)
        {
            in >> p[i][j];
            p[i][j] = -p[i][j];
            summ += p[i][j];
        }
    in.close();
    long long l(summ), r(0), curf;
    while(true)
    {
        mid = (l+r) / 2;
        curf = f(mid, m);
        if(l+1 == r)
            break;
        if(curf > k-1)
            r = mid;
        else if(curf < k-1)
            l = mid;
        else
            break;
    }
    need = k-curf;
    g(0);
    ofstream out("aliens.out");
    out << ans << '\n';
    out.close();
    return 0;
}
